=== APKBUILD ===
# Maintainer: Mitsuhiro Yoshida <mitsuhiro.yoshida@atmark-techno.com>
pkgname=atmark-wwan-utils
pkgver=1.11.0
pkgrel=0
_ref="$pkgver-r$pkgrel"
pkgdesc="Utilities for armadillo-IoT WWAN"
url="https://armadillo.atmark-techno.com/"
arch="all"
license="MIT"
makedepends="linux-headers"
options="!check"
source="atmark-wwan-utils-1.11.0-r0.tar.gz"
builddir="$srcdir/$pkgname-$_ref"

build() {
	make
}

package() {
	make DESTDIR="$pkgdir" PREFIX="/usr" install
}

sha512sums="
df9d75c58950881b8cc85c0f5ace0c5c357f15a17a5cc11cb62550df250005614e51f28567df077d6e4c3d13a2bdf6fd41abb407edfa8f474dec4a36ee96a585  atmark-wwan-utils-1.11.0-r0.tar.gz
"
